## net.sf.saxon.query
Interface UpdateAgent

    public interface UpdateAgent

An UpdateAgent is a callback class that is called to handle a document after it has been updated. Typically the UpdateAgent might take responsibility for writing the updated document back to persistent storage.

Method Summary
`void` `update(NodeInfo node, Controller controller)` Handle an updated document.

Method Detail

### update

    void update(NodeInfo node,
                Controller controller)
                throws XPathException

  Handle an updated document. This method is called by `XQueryExpression.runUpdate(DynamicQueryContext, UpdateAgent)` once for each document (or more generally, for the root of each tree) that has been modified by the update query.

  Parameters:
    `node` - the root of the tree that has been updated
    `controller` - the Controller that was used for executing the query
  Throws:
    `XPathException` - if the callback code cannot handle the updated document

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.